<!doctype html>
<html>
<head>
<meta charset="utf8"/>
<title>Memcache test</title>

<style>
#wrapper {
    text-align: center;
    width: 100%;
    height: 100%;
    margin: auto auto;
    padding: 0 0;
    background-color: #dfdfdf;
}

#main {
    text-align: left;
    margin: auto;
    width: 500px;
}
</style>

</head>
<body>

<div id="wrapper">
<div id="main">

<?php

$memcache = new Memcache();
$memcache->addServer("127.0.0.1");

if(isset($_POST['action']) && $_POST['action'] == 'set') {
    
    $key = $_POST['key'];
    $value = $_POST['value'];
    $sec = intval($_POST['sec']);
    
    $memcache->set($key, $value, 0, $sec);
    
    echo '<h1>data inserted</h1>';

}
else if(isset($_POST['action']) && $_POST['action'] == 'get') {

    $key = $_POST['key'];
    $data = $memcache->get($key);
    
    if($data === false) {
        echo '<h1>key: ' . $key . ' is no longer in cache</h1>';
    }
    else {
        echo '<h1>value: ' . $data . '</h1>';
    }
    
}
else {
    echo '<h1>Memcache testing forms</h1>';
    // view forms
    echo '<p>Get from cache</p>';
    echo '<form method="post" action="">';
    echo 'key: <input type="text" name="key"/><br/>';
    echo '<input type="hidden" name="action" value="get" />';
    echo '<input type="submit" value="get">';
    echo '</form>';
    
    echo '<p>Set in cache</p>';
    echo '<form method="post" action="">';
    echo 'key: <input type="text" name="key"/><br/>';
    echo 'value: <input type="text" name="value"/><br/>';
    echo 'life span (sec): <input type="text" name="sec"/><br/>';
    echo '<input type="hidden" name="action" value="set" />';
    echo '<input type="submit" value="set">';
    echo '</form>';
}

?>

</div>
</div>
</body>
</html>
